## nitroshare 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2.0)
project(NitroShare)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(PROJECT_NAME "NitroShare")
set(PROJECT_DESCRIPTION "Network File Transfer Application")
set(PROJECT_AUTHOR "Nathan Osman")
set(PROJECT_DOMAIN "nitroshare.net")
set(PROJECT_WEBSITE "https://${PROJECT_DOMAIN}")

set(PROJECT_VERSION_MAJOR 0)
set(PROJECT_VERSION_MINOR 3)
set(PROJECT_VERSION_PATCH 1)
set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")

# In order for the Inno Setup script to work correctly, the runtime files need
# to be kept separate from the source code - bonus: it then becomes possible to
# run the executable directly from the directory after building.
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/out")

find_package(Qt5Network 5.1 REQUIRED)
find_package(Qt5Widgets 5.1 REQUIRED)

# Qt5WinExtras is an optional dependency that allows the application to
# display transfer progress in the Windows taskbar.
if(WIN32)
    find_package(Qt5WinExtras)
endif()

# Qt5MacExtras is an optional dependency that allows the application to
# display transfer progress as a percentage in the dock.
if(APPLE)
    find_package(Qt5MacExtras)
endif()

# libappindicator is an optional dependency that enables the application to
# determine at runtime if the current desktop environment supports using an
# application indicator instead of a QTrayIcon and use one instead
# libunity is an optional dependency that enables the application to display
# transfer progress in the Unity launcher.
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    find_package(PkgConfig)
    if(PKG_CONFIG_FOUND)
        pkg_check_modules(APPINDICATOR gtk+-2.0 appindicator-0.1 libnotify)
        pkg_check_modules(UNITY unity)
    endif()
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

# Since Qt and GTK+ both define the symbol "signals", it is necessary to
# ensure that it is not defined by Qt.
add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)

# Add the subdirectory containing the source code.
add_subdirectory(src)

=== src/CMakeLists.txt ===
configure_file(config.h.in "${CMAKE_CURRENT_BINARY_DIR}/config.h")

set(SRC
    application/aboutdialog.cpp
    application/application.cpp
    application/splashdialog.cpp
    bundle/bundle.cpp
    device/device.cpp
    device/devicedialog.cpp
    device/devicelistener.cpp
    device/devicemodel.cpp
    icon/icon.cpp
    icon/trayicon.cpp
    settings/settings.cpp
    settings/settingsdialog.cpp
    transfer/transfer.cpp
    transfer/transfermodel.cpp
    transfer/transferreceiver.cpp
    transfer/transfersender.cpp
    transfer/transferserver.cpp
    transfer/transferwindow.cpp
    util/json.cpp
    util/platform.cpp
    main.cpp
)

if(WIN32)
    set(SRC ${SRC} "data/resource.rc")
endif()

if(APPLE)
    set(SRC ${SRC} "data/icon/nitroshare.icns")
    set_source_files_properties("data/icon/nitroshare.icns" PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources
    )
endif()

if(APPINDICATOR_FOUND)
    set(SRC ${SRC}
        icon/indicatoricon.cpp
    )
endif()

qt5_wrap_ui(UI
    application/aboutdialog.ui
    application/splashdialog.ui
    device/devicedialog.ui
    settings/settingsdialog.ui
    transfer/transferwindow.ui
)

qt5_add_resources(QRC
    data/resource.qrc
)

add_executable(nitroshare WIN32 MACOSX_BUNDLE ${SRC} ${UI} ${QRC})

target_compile_features(nitroshare PRIVATE
    cxx_lambdas
    cxx_nullptr
    cxx_strong_enums
    cxx_uniform_initialization
)

# By default, Visual C++ produces PE files with "minimum OS Required" set to
# 6.0 (Windows Vista). A special linker flag is needed for XP support.
if(WIN32 AND MSVC)
    if(${CMAKE_SIZEOF_VOID_P} EQUAL 8)
        set_target_properties(nitroshare PROPERTIES LINK_FLAGS "/SUBSYSTEM:WINDOWS,5.02")
    else()
        set_target_properties(nitroshare PROPERTIES LINK_FLAGS "/SUBSYSTEM:WINDOWS,5.01")
    endif()
endif()

# In order to support Retina, a special tag is required in Info.plist.
if(APPLE)
    set_target_properties(nitroshare PROPERTIES
        MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.in"
        MACOSX_BUNDLE_ICON_FILE "nitroshare.icns"
        MACOSX_BUNDLE_GUI_IDENTIFIER "com.NathanOsman.NitroShare"
        MACOSX_BUNDLE_BUNDLE_NAME "NitroShare"
    )
endif()

qt5_use_modules(nitroshare Widgets Network)
if(Qt5WinExtras_FOUND)
    qt5_use_modules(nitroshare WinExtras)
endif()
if(Qt5MacExtras_FOUND)
    qt5_use_modules(nitroshare MacExtras)
endif()

if(APPINDICATOR_FOUND)
    target_include_directories(nitroshare PRIVATE ${APPINDICATOR_INCLUDE_DIRS})
    target_link_libraries(nitroshare ${APPINDICATOR_LIBRARIES})
endif()

if(UNITY_FOUND)
    target_include_directories(nitroshare PRIVATE ${UNITY_INCLUDE_DIRS})
    target_link_libraries(nitroshare ${UNITY_LIBRARIES})
endif()

include(GNUInstallDirs)

install(TARGETS nitroshare
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    BUNDLE DESTINATION .
)

# If windeployqt is available, use it immediately after the build completes to
# ensure that the dependencies are available.
# If Inno Setup is available, provide a target for building an EXE installer.
if(WIN32)
    include(DeployQt)
    if(WINDEPLOYQT_EXECUTABLE)
        windeployqt(nitroshare)
    endif()
    find_package(InnoSetup)
    if(INNOSETUP_EXECUTABLE)
        configure_file(dist/setup.iss.in "${CMAKE_CURRENT_BINARY_DIR}/setup.iss")
        add_custom_target(exe
            COMMAND "${INNOSETUP_EXECUTABLE}"
                /Q
                /DTARGET_FILE_NAME="$<TARGET_FILE_NAME:nitroshare>"
                "${CMAKE_CURRENT_BINARY_DIR}/setup.iss"
            DEPENDS nitroshare
            COMMENT "Building installer..."
        )
    endif()
endif()

# If macdeployqt is available, use it immediately after the build completes to
# copy the Qt frameworks into the application bundle.
# Create a target for building a DMG that contains the application bundle and a
# symlink to the /Applications folder.
if(APPLE)
    include(DeployQt)
    if(MACDEPLOYQT_EXECUTABLE)
        macdeployqt(nitroshare)
    endif()
    set(sym "${CMAKE_BINARY_DIR}/out/Applications")
    set(dmg "${CMAKE_BINARY_DIR}/nitroshare-${PROJECT_VERSION}-osx.dmg")
    add_custom_target(dmg
        COMMAND rm -f "${sym}" "${dmg}"
        COMMAND ln -s /Applications "${sym}"
        COMMAND hdiutil create
            -srcfolder "${CMAKE_BINARY_DIR}/out"
            -volname "${PROJECT_NAME}"
            -fs HFS+
            -size 30m
            "${dmg}"
        DEPENDS nitroshare
        COMMENT "Building disk image..."
    )
endif()

# On Linux, include the icons, manpage, and .desktop file when installing.
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/dist/icons"
        DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}"
    )
    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/dist/nitroshare.1"
        DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    )
    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/dist/nitroshare.desktop"
        DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    )
endif()

## nitroshare 0.3.0

=== debian/changelog ===
nitroshare (0.3.0-1mx150+1) mx; urgency=low

  * Rebuild for MX 15.
  * Fix debian/install file.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 06 Jun 2015 11:20:15 -0700

nitroshare (0.3.0-1ppa1~trusty1) trusty; urgency=low

  * Updated to Qt 5.x from 4.x
  * Removed configuration wizard
  * Network discovery fully automated
  * Limit removed on size of transferred files
  * Added the ability to restart transfers after completion

 -- Nathan Osman <nathan@quickmediasolutions.com>  Sat, 21 Mar 2015 00:45:00 -0700

=== debian/control ===
Source: nitroshare
Section: net
Priority: extra
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Nathan Osman <nathan@quickmediasolutions.com>
Build-Depends:
 debhelper (>= 9),
 dh-exec,
 qt5-default (>= 5.1),
 libqt5svg5-dev,
 libgtk2.0-dev,
 libappindicator-dev,
 libnotify-dev
Standards-Version: 3.9.5
Homepage: http://nitroshare.net/

Package: nitroshare
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5svg5
Description: cross-platform network file transfer application
 NitroShare is designed to make transferring any file to any device as painless
 as possible. Network discovery is completely automatic, allowing files and
 entire directories to be instantly transferred to any other device on the
 network running the application.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

## nitroshare 0.3.1

=== debian/changelog ===
nitroshare (0.3.1-1ubuntu1) xenial; urgency=medium

  * debian/control: Add missing 'libunity-dev' build dependency, per
    the Debian maintainer's insistence that it should build-dep on
    this library in Ubuntu. (LP: #1542758)

 -- Thomas Ward <teward@ubuntu.com>  Sat, 06 Feb 2016 21:11:02 -0500

nitroshare (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #811564)

 -- Nathan Osman <nathan@quickmediasolutions.com>  Tue, 19 Jan 2016 13:17:21 -0800

=== debian/control ===
Source: nitroshare
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nathan Osman <nathan@quickmediasolutions.com>
Build-Depends: debhelper (>= 9),
               dh-exec,
               cmake (>= 3.2.0),
               qtbase5-dev (>= 5.1),
               libgtk2.0-dev,
               libappindicator-dev,
               libnotify-dev,
               libunity-dev
Standards-Version: 3.9.6
Homepage: http://nitroshare.net/

Package: nitroshare
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt5svg5
Description: Cross-platform network file transfer application
 NitroShare is designed to make transferring any file to any device as painless
 as possible.
 .
 NitroShare uses a JSON-based protocol that is both platform and
 architecture-neutral to transfer files as efficiently as possible.
 .
 IPv4 broadcast is used for automatically discovering other devices on the local
 network running NitroShare. This enables files and entire directories to be
 instantly transferred to the other devices.
 .
 Data encryption is not currently implemented.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://launchpad.net/nitroshare/+download https://launchpad.net/nitroshare/.*/nitroshare-(.*)\.tar\.gz

## nitroshare 0.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 set(PROJECT_VERSION_MAJOR 0)
 set(PROJECT_VERSION_MINOR 3)
-set(PROJECT_VERSION_PATCH 1)
+set(PROJECT_VERSION_PATCH 3)
 set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
 
 # In order for the Inno Setup script to work correctly, the runtime files need
@@ -19,8 +19,10 @@
 # run the executable directly from the directory after building.
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/out")
 
+find_package(Qt5LinguistTools 5.1 REQUIRED)
 find_package(Qt5Network 5.1 REQUIRED)
 find_package(Qt5Widgets 5.1 REQUIRED)
+find_package(Qt5Svg 5.1 REQUIRED)
 
 # Qt5WinExtras is an optional dependency that allows the application to
 # display transfer progress in the Windows taskbar.
@@ -34,21 +36,27 @@
     find_package(Qt5MacExtras)
 endif()
 
+# QHttpEngine is required in order to build the local HTTP API
+find_package(QHttpEngine)
+
 # libappindicator is an optional dependency that enables the application to
 # determine at runtime if the current desktop environment supports using an
 # application indicator instead of a QTrayIcon and use one instead
-# libunity is an optional dependency that enables the application to display
-# transfer progress in the Unity launcher.
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     find_package(PkgConfig)
     if(PKG_CONFIG_FOUND)
         pkg_check_modules(APPINDICATOR gtk+-2.0 appindicator-0.1 libnotify)
-        pkg_check_modules(UNITY unity)
     endif()
 endif()
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
+
+# Apple requires a couple extra flags
+if(APPLE)
+    set(CMAKE_CXX_FLAGS "-stdlib=libc++")
+    set(CMAKE_OSX_DEPLOYMENT_TARGET "10.8")
+endif()
 
 # Since Qt and GTK+ both define the symbol "signals", it is necessary to
 # ensure that it is not defined by Qt.

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,13 +25,23 @@
 )
 
 if(WIN32)
-    set(SRC ${SRC} "data/resource.rc")
+    set(SRC ${SRC} data/resource.rc)
 endif()
 
 if(APPLE)
-    set(SRC ${SRC} "data/icon/nitroshare.icns")
+    set(SRC ${SRC}
+        data/icon/nitroshare.icns
+        transfer/transferwindow.mm
+    )
     set_source_files_properties("data/icon/nitroshare.icns" PROPERTIES
         MACOSX_PACKAGE_LOCATION Resources
+    )
+endif()
+
+if(QHttpEngine_FOUND)
+    set(SRC ${SRC}
+        api/apihandler.cpp
+        api/apiserver.cpp
     )
 endif()
 
@@ -49,8 +59,50 @@
     transfer/transferwindow.ui
 )
 
+# Update the TS files from the source directory
+file(GLOB TS data/ts/*.ts)
+add_custom_target(ts
+    COMMAND "${Qt5_LUPDATE_EXECUTABLE}"
+        -silent
+        -locations relative
+        "${CMAKE_CURRENT_SOURCE_DIR}"
+        -ts ${TS}
+)
+
+# Create a directory for the compiled QM files
+file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/data/qm")
+
+# Create commands for each of the translation files
+set(QM_XML)
+set(QM)
+foreach(_ts_path ${TS})
+    get_filename_component(_ts_name "${_ts_path}" NAME)
+    get_filename_component(_ts_name_we "${_ts_path}" NAME_WE)
+    set(_qm_name "${_ts_name_we}.qm")
+    set(_qm_path "${CMAKE_CURRENT_BINARY_DIR}/data/qm/${_qm_name}")
+    set(QM_XML "${QM_XML}<file>qm/${_qm_name}</file>")
+    list(APPEND QM "${_qm_path}")
+    add_custom_command(OUTPUT "${_qm_path}"
+        COMMAND "${Qt5_LRELEASE_EXECUTABLE}"
+            -compress
+            -removeidentical
+            -silent
+            "${_ts_path}"
+            -qm "${_qm_path}"
+        COMMENT "Generating ${_ts_name}"
+    )
+endforeach()
+
+# Create a target for compiling all of the translation files
+add_custom_target(qm DEPENDS ${QM})
+
+# Configure the i18n resource file
+set(QRC_QM "${CMAKE_CURRENT_BINARY_DIR}/data/resource_qm.qrc")
+configure_file(data/resource_qm.qrc.in "${QRC_QM}")
+
 qt5_add_resources(QRC
     data/resource.qrc
+    "${QRC_QM}"
 )
 
 add_executable(nitroshare WIN32 MACOSX_BUNDLE ${SRC} ${UI} ${QRC})
@@ -61,16 +113,6 @@
     cxx_strong_enums
     cxx_uniform_initialization
 )
-
-# By default, Visual C++ produces PE files with "minimum OS Required" set to
-# 6.0 (Windows Vista). A special linker flag is needed for XP support.
-if(WIN32 AND MSVC)
-    if(${CMAKE_SIZEOF_VOID_P} EQUAL 8)
-        set_target_properties(nitroshare PROPERTIES LINK_FLAGS "/SUBSYSTEM:WINDOWS,5.02")
-    else()
-        set_target_properties(nitroshare PROPERTIES LINK_FLAGS "/SUBSYSTEM:WINDOWS,5.01")
-    endif()
-endif()
 
 # In order to support Retina, a special tag is required in Info.plist.
 if(APPLE)
@@ -80,14 +122,19 @@
         MACOSX_BUNDLE_GUI_IDENTIFIER "com.NathanOsman.NitroShare"
         MACOSX_BUNDLE_BUNDLE_NAME "NitroShare"
     )
-endif()
-
-qt5_use_modules(nitroshare Widgets Network)
+    target_link_libraries(nitroshare "-framework ApplicationServices")
+endif()
+
+target_link_libraries(nitroshare Qt5::Widgets Qt5::Network Qt5::Svg)
 if(Qt5WinExtras_FOUND)
-    qt5_use_modules(nitroshare WinExtras)
+    target_link_libraries(nitroshare Qt5::WinExtras)
 endif()
 if(Qt5MacExtras_FOUND)
-    qt5_use_modules(nitroshare MacExtras)
+    target_link_libraries(nitroshare Qt5::MacExtras)
+endif()
+
+if(QHttpEngine_FOUND)
+    target_link_libraries(nitroshare QHttpEngine)
 endif()
 
 if(APPINDICATOR_FOUND)
@@ -95,11 +142,6 @@
     target_link_libraries(nitroshare ${APPINDICATOR_LIBRARIES})
 endif()
 
-if(UNITY_FOUND)
-    target_include_directories(nitroshare PRIVATE ${UNITY_INCLUDE_DIRS})
-    target_link_libraries(nitroshare ${UNITY_LIBRARIES})
-endif()
-
 include(GNUInstallDirs)
 
 install(TARGETS nitroshare
@@ -107,14 +149,24 @@
     BUNDLE DESTINATION .
 )
 
-# If windeployqt is available, use it immediately after the build completes to
-# ensure that the dependencies are available.
-# If Inno Setup is available, provide a target for building an EXE installer.
 if(WIN32)
+    # If windeployqt is available, use it immediately after the build completes to
+    # ensure that the dependencies are available.
     include(DeployQt)
     if(WINDEPLOYQT_EXECUTABLE)
         windeployqt(nitroshare)
     endif()
+
+    # If QHttpEngine was used, include it in the installer
+    if(QHttpEngine_FOUND)
+        add_custom_command(TARGET nitroshare POST_BUILD
+            COMMAND "${CMAKE_COMMAND}" -E
+                copy_if_different "$<TARGET_FILE:QHttpEngine>" "$<TARGET_FILE_DIR:nitroshare>"
+            COMMENT "Copying QHttpEngine..."
+        )
+    endif()
+
+    # If Inno Setup is available, provide a target for building an EXE installer.
     find_package(InnoSetup)
     if(INNOSETUP_EXECUTABLE)
         configure_file(dist/setup.iss.in "${CMAKE_CURRENT_BINARY_DIR}/setup.iss")
@@ -129,15 +181,34 @@
     endif()
 endif()
 
-# If macdeployqt is available, use it immediately after the build completes to
-# copy the Qt frameworks into the application bundle.
-# Create a target for building a DMG that contains the application bundle and a
-# symlink to the /Applications folder.
 if(APPLE)
+    # If QHttpEngine was used, copy the dynlib over and correct its RPATH
+    if(QHttpEngine_FOUND)
+        add_custom_command(TARGET nitroshare POST_BUILD
+            COMMAND "${CMAKE_COMMAND}" -E
+                make_directory "$<TARGET_FILE_DIR:nitroshare>/../Frameworks"
+            COMMAND "${CMAKE_COMMAND}" -E
+                copy_if_different
+                    "$<TARGET_FILE:QHttpEngine>"
+                    "$<TARGET_FILE_DIR:nitroshare>/../Frameworks/$<TARGET_SONAME_FILE_NAME:QHttpEngine>"
+            COMMAND install_name_tool
+                -change
+                "$<TARGET_SONAME_FILE_NAME:QHttpEngine>"
+                "@rpath/$<TARGET_SONAME_FILE_NAME:QHttpEngine>"
+                "$<TARGET_FILE:nitroshare>"
+            COMMENT "Copying QHttpEngine and correcting RPATH..."
+        )
+    endif()
+
+    # If macdeployqt is available, use it immediately after the build completes to
+    # copy the Qt frameworks into the application bundle.
     include(DeployQt)
     if(MACDEPLOYQT_EXECUTABLE)
         macdeployqt(nitroshare)
     endif()
+
+    # Create a target for building a DMG that contains the application bundle and a
+    # symlink to the /Applications folder.
     set(sym "${CMAKE_BINARY_DIR}/out/Applications")
     set(dmg "${CMAKE_BINARY_DIR}/nitroshare-${PROJECT_VERSION}-osx.dmg")
     add_custom_target(dmg
@@ -154,7 +225,7 @@
     )
 endif()
 
-# On Linux, include the icons, manpage, and .desktop file when installing.
+# On Linux, include the icons, manpage, .desktop file, and file manager extensions when installing.
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/dist/icons"
         DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}"
@@ -165,4 +236,15 @@
     install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/dist/nitroshare.desktop"
         DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
     )
-endif()
+
+    # Configure and install Python extensions for Nautilus-derived file managers
+    foreach(_file_manager Nautilus Nemo Caja)
+        string(TOLOWER ${_file_manager} _file_manager_lower)
+        set(_py_filename "${CMAKE_CURRENT_BINARY_DIR}/dist/nitroshare_${_file_manager_lower}.py")
+        configure_file("${CMAKE_CURRENT_SOURCE_DIR}/dist/nitroshare.py.in" "${_py_filename}")
+        install(FILES "${_py_filename}"
+            DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/${_file_manager_lower}-python/extensions"
+            RENAME nitroshare.py
+        )
+    endforeach()
+endif()

=== debian/changelog ===
nitroshare (0.3.3-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Fri, 09 Sep 2016 13:34:20 -0700

nitroshare (0.3.3-1) unstable; urgency=low

  * Fix bug that broke progress and status display
  * Fix missing indicator in KDE
  * Fix a number of DPI issues
  * Add extension for Nemo and Caja
  * Add French, Korean, & Spanish translations

 -- Nathan Osman <nathan@quickmediasolutions.com>  Mon, 18 Jul 2016 11:44:43 -0700

nitroshare (0.3.2-1) unstable; urgency=low

  * Switch default transfer directory to "Downloads"
  * Enable translations
  * Add local HTTP API
  * Add Nautilus extension
  * Add ability to drop files over the transfer window
  * Add option to automatically start after login
  * Provide options for encrypting transfers with TLS
  * Remove build dependency on libunity in favor of runtime detection

 -- Nathan Osman <nathan@quickmediasolutions.com>  Fri, 08 Jul 2016 21:35:11 -0700

=== debian/control ===
Source: nitroshare
Section: net
Priority: extra
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Nathan Osman <nathan@quickmediasolutions.com>
Build-Depends: debhelper (>= 9),
               dh-exec,
               cmake (>= 3.2.0),
               qtbase5-dev (>= 5.1),
               qttools5-dev-tools,
               qttools5-dev-tools (>= 5.5) | qttools5-dev,
               libqt5svg5-dev,
               libgtk2.0-dev,
               libappindicator-dev,
               libnotify-dev,
               libqhttpengine-dev
Standards-Version: 3.9.8
Homepage: http://nitroshare.net/

Package: nitroshare
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: nitroshare-nautilus
Description: Cross-platform network file transfer application
 NitroShare is designed to make transferring any file to any device as painless
 as possible.
 .
 NitroShare uses a JSON-based protocol that is both platform and
 architecture-neutral to transfer files as efficiently as possible. For added
 security, transfers can be encrypted with TLS.
 .
 IPv4 broadcast is used for automatically discovering other devices on the local
 network running NitroShare. This enables files and entire directories to be
 instantly transferred to the other devices.
 .
 An HTTP API is provided that enables other applications running under the same
 account to initiate transfers.

Package: nitroshare-nautilus
Architecture: all
Depends: nitroshare (>= 0.3.1),
         python-nautilus,
         ${misc:Depends}
Description: Nautilus extension for sending files with NitroShare
 NitroShare is designed to make transferring any file to any device as painless
 as possible.
 .
 This extension for Nautilus adds a "send with NitroShare" menu to files and
 directories, simplifying the process of selecting items to transfer.

Package: nitroshare-nemo
Architecture: all
Depends: nitroshare (>= 0.3.1),
         python-nemo | nemo-python,
         ${misc:Depends}
Description: Nemo extension for sending files with NitroShare
 NitroShare is designed to make transferring any file to any device as painless
 as possible.
 .
 This extension for Nemo adds a "send with NitroShare" menu to files and
 directories, simplifying the process of selecting items to transfer.

Package: nitroshare-caja
Architecture: all
Depends: nitroshare (>= 0.3.1),
         python-caja,
         ${misc:Depends}
Description: Caja extension for sending files with NitroShare
 NitroShare is designed to make transferring any file to any device as painless
 as possible.
 .
 This extension for Caja adds a "send with NitroShare" menu to files and
 directories, simplifying the process of selecting items to transfer.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT := qt5

%:
	dh $@ --parallel
